/*
 * @Author: your name
 * @Date: 2021-10-25 09:30:50
 * @LastEditTime: 2022-03-31 09:12:00
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \gcloud-oauth-vue\src\utils\tool.js
 */
import store from "../store/index"

// 元->换万元保留两位小数
// 动态元万元转化
export function toYuanOrWanYuanFormat(value,decimal) {
  let numDecimal=2
  if(decimal){
    numDecimal=decimal
  }
  if (value) {
    // console.log(store)
    if(store.state.settings.changeUnit != 'yuan') {
      // console.log(store.state.settings.changeUnit)
      if (value.value) {
        let num = value.value
        num = (num / 10000).toFixed(numDecimal)
        return num
      } else {
        let zero=0
        return zero.toFixed(numDecimal)
      }
    } else {
      if (value.value) {
        let num = value.value
        num = (num *1).toFixed(2)
        return num 
      } else {
        let zero=0
        return zero.toFixed(2)
      }
    }
  } else {
    let zero=0
    if(store.state.settings.changeUnit != 'yuan'){
      return zero.toFixed(numDecimal)
    }else{
      return zero.toFixed(2)
    }
  }
}

export default {
  toYuanOrWanYuanFormat
}